Tuesday, January 28, 2014

Four vulnerabilities in Pidgin



The VRT is announcing the discovery and patching of 4 CVE vulnerabilities in Pidgin. These vulnerabilities were discovered by the VRT VULNDEV team and reported to the Pidgin team. The VRT also created TRUFFLE rules that have been protecting Sourcefire customers for these vulnerabilities since October 1st 2013, while the Pidgin team was working on patching them. TRUFFLE rules provide a way for the VRT to release cutting edge coverage without exposing threats to the public through a plaintext rule. We are releasing these rules publicly as part of our update today, since the Pidgin team is releasing Pidgin 2.10.8 that addresses these issues. It is available for download here: http://www.pidgin.im/

Here is a summary of the vulnerabilities and the associated rules, with links to blog posts describing the vulnerabilities in detail:
o   We had prior coverage for this vulnerability through an http_inspect alert GID 120, SID 8 as well as SID 2580.
o   We are releasing SID 28088 to handle this vulnerability.

o   We are releasing SIDs 28089 and 28090 to cover this vulnerability.

o   We also had prior coverage for this vulnerability through SIP preprocessor alert, GID 140 SID 16.
Add to Technorati Favorites Digg! This

No comments: